# Store::Memory

[![Gem Version](https://badge.fury.io/rb/store-memory.png)](http://badge.fury.io/rb/store-memory) [![Build Status](https://travis-ci.org/janowiesniak/store-memory.png?branch=master)](https://travis-ci.org/janowiesniak/store-memory) [![Code Climate](https://codeclimate.com/github/janowiesniak/store-memory.png)](https://codeclimate.com/github/janowiesniak/store-memory)

Memory DataMapper for [Store](https://github.com/holderbaum/store).

It implements basic features such as insert, update, delete, single_find, bulk_find and count.

## Installation

Add this line to your application's Gemfile:

    gem 'store-memory'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install store-memory

## Usage

```
require 'store/memory'

module DataMapper
  module User
    class Memory < Store::DataMapper::Memory
    end
  end
end

DataMapper::User::Memory.new
```

## Tests

Run against shared specs implemented in [store-spec](https://github.com/janowiesniak/store-spec).

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
