# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'store/memory/version'

Gem::Specification.new do |spec|
  spec.name          = "store-memory"
  spec.version       = Store::Memory::VERSION
  spec.authors       = ["Jan Owiesniak"]
  spec.email         = ["jowiesniak@gmail.com"]
  spec.description   = %q{Basic Memory DataMapper for Store.}
  spec.summary       = %q{Basic Memory DataMapper for Store.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "store-spec"
  
  spec.add_dependency "store"
end
